
ChiliProject - Bug # 1067: Upgrade 20100714111653_build_initial_journals_for_acts_as_journalized.rb 
crashed with method_missing "repo_log_encoding"

Status: Closed Priority: Normal
Author: Steffen SchÃ¼ssler Category:
Created: 2012-07-06 Assignee:
Updated: 2012-07-09 Due date:
Remote issue URL:
Affected version:
Description: We want to switch von redmine (1.4-stable) nach chiliproject "stable"

fresh clone from git

In ./db/migrate//20100714111653_build_initial_journals_for_acts_as_journalized.rb:45:in 
`up_without_benchmarks'
there is called some functions in app/models/changeset.rb

In app/models/changeset.rb in commiter is used "repository.repo_log_encoding"
BUT this is not yet existent on oure repos.
So better use the workaround function 10 lines above 

FIX

--- app/models/changeset.rb.orig	2012-07-06 20:39:54.000000000 +0200
+++ app/models/changeset.rb	2012-07-06 20:15:14.000000000 +0200
@@ -89,7 +89,7 @@
   # Attribute reader for committer that encodes the committer string to
   # the repository log encoding (e.g. UTF-8)
   def committer
-    self.class.to_utf8(read_attribute(:committer), repository.repo_log_encoding)
+    self.class.to_utf8(read_attribute(:committer), repository_encoding)
   end
 
   def before_create

Associated revisions
2011-04-16 11:57 pm - Jean-Philippe Lang 
Splits private/public issue queries in the sidebar (#1067).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@4908 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-07-09 08:41 pm - Felix SchÃ¤fer 
Fix migrating from Redmine 1.4 #1067

Contributed by Steffen SchÃ¼ssler

History
2012-07-06 08:44 pm - Steffen SchÃ¼ssler
- File 1067_changeset_repo_log_encoding.patch added

Patch attached.
please merge in

Output of this migration step:
==  BuildInitialJournalsForActsAsJournalized: migrating =======================
-- Building initial journals for Message
   -> 7.3856s
-- Building initial journals for Attachment
   -> 85.4123s
-- Building initial journals for Document
   -> 5.4975s
-- Building initial journals for Changeset
   -> 761.2031s
-- Building initial journals for Issue
	   -> 352.9393s
-- Building initial journals for TimeEntry
   -> 172.6839s
-- Building initial journals for News
   -> 15.6402s

now all OK

2012-07-09 08:43 pm - Felix Schäfer
- Status changed from Open to Closed

- Target version set to 3.3.0

Committed in commit:d41c7f1, thanks a lot!

Files
1067_changeset_repo_log_encoding.patch 472 Bytes 2012-07-06 Steffen SchÃ¼ssler
